%define languageenglazy Afrikaans
%define languagecode    af
%define lc_ctype        af_ZA

%define upstream_version 20080825

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 16
Summary:        %{languageenglazy} hunspell dictionary
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.translate.org.za/
Source0:        http://downloads.translate.org.za/spellchecker/afrikaans/myspell-af_ZA-0.%{upstream_version}.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-af
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-af_NA = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-af_NA = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionary


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_af_ZA.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.20080825.1-16.mga8
+ Revision: 1490091
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20080825.1-15.mga7
+ Revision: 1261448
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20080825.1-14.mga6
+ Revision: 946719
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20080825.1-13.mga5
+ Revision: 742468
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20080825.1-12.mga5
+ Revision: 680207
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20080825.1-11.mga4
+ Revision: 505610
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20080825.1-10.mga3
+ Revision: 353376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20080825.1-9.mga3
+ Revision: 325135
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 0.20080825.1-8.mga2
+ Revision: 224550
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20080825.1-7.mga2
+ Revision: 207623
- use better obsoleting of myspell

* Fri Jan 13 2012 kamil <kamil> 0.20080825.1-6.mga2
+ Revision: 195616
- remove requirement on locales
- hunspell is now suggested not required

* Sun Jan 08 2012 kamil <kamil> 0.20080825.1-5.mga2
+ Revision: 193231
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype} and variants
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype} and variants
  o obsolete language specific myspell- dictionaries
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20080825.1-4.mga1
+ Revision: 68628
- imported package hunspell-af


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080825-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080825-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080825-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Caolan McNamara <caolanm@redhat.com> - 0.20080825-1
- latest version

* Thu Nov 20 2008 Caolan McNamara <caolanm@redhat.com> - 0.20060117-3
- mysteriously upstream tarball of same version has extra words in it
  than our cached one

* Fri Aug 03 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060117-2
- clarify license version

* Wed Oct 25 2006 Caolan McNamara <caolanm@redhat.com> - 0.20060117-1
- initial version
